Page MenuHomePhabricator

Fix article counter on sr.wikiquote.org
Closed, ResolvedPublic

Description

Counter is stuck at 222 for some reason (Main Page, Statistics).

Event Timeline

Obsuser created this task.Aug 2 2017, 2:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2017, 2:29 AM
Obsuser triaged this task as Low priority.Aug 2 2017, 2:29 AM
TTO added a subscriber: Krenair.

@Dereckson mwscript updateArticleCount.php --wiki=srwikiquote --update ?

Mentioned in SAL (#wikimedia-operations) [2017-08-03T14:53:13Z] <Dereckson> mwscript initSiteStats.php --wiki srwikiquote --update (T172241)

Terbium
$ mwscript initSiteStats.php --wiki srwikiquote --update
Refresh Site Statistics

Counting total edits...24605
Counting number of articles...222
Counting total pages...1884
Counting number of users...3489
Counting number of images...3

Updating site statistics...done.

Done.

Still 222 here.

An content page is a page matching some criteria, like a minimal weight. 222 seems realistic for that.

Dcljr added a subscriber: Dcljr.Aug 3 2017, 8:41 PM

@Obsuser srwikiquote uses the default settings, so only pages in the main namespace that contain at least one [[wikilink]] to a page title on the same wiki get counted as articles.

An edit I just made on the wiki successfully increased the article count from 222 to 223, so the counter does not appear to be broken.

Further details at q:sr:Викицитат:Трг#Број цитата (my explanation for the srwikiquote community).

Dereckson added a comment.EditedAug 3 2017, 9:41 PM

What you could do is to define what an article is, and we'll amend the configuration accordingly.

OK, thank you all. I will start local discussion, post link here and when consensus is reached it can be fixed.

Obsuser changed the task status from Open to Stalled.Aug 4 2017, 4:00 AM
Urbanecm closed this task as Resolved.Aug 24 2017, 2:00 PM
Urbanecm assigned this task to Dereckson.
Urbanecm added a subscriber: Urbanecm.

The script was ran. If the communitty wish a configuration change, then it should be handled in another task.